% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hooks.R
\name{set_hooks}
\alias{set_hooks}
\alias{remove_hooks}
\title{Set and remove hooks}
\usage{
set_hooks(hooks, action = "append")

remove_hooks(hooks)
}
\arguments{
\item{hooks}{a named list of hooks - each hook can either be a function or
a list of functions.}

\item{action}{\code{"replace"}, \code{"append"} or \code{"prepend"}}
}
\description{
This interface wraps the base \code{\link[=setHook]{setHook()}} function to provide a return
value that makes it easy to undo.
}
\examples{
new1 <- list(before.plot.new = function() print("Plotted!"))
new2 <- list(before.plot.new = function() print("Plotted Again!"))
set_hooks(new1)
set_hooks(new2)
plot(1)
remove_hooks(new1)
plot(1)
remove_hooks(new2)
plot(1)
}
\keyword{internal}
